aboutsummaryrefslogtreecommitdiff
path: root/debian/boca-web.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/boca-web.postinst')
-rw-r--r--debian/boca-web.postinst11
1 files changed, 11 insertions, 0 deletions
diff --git a/debian/boca-web.postinst b/debian/boca-web.postinst
new file mode 100644
index 0000000..18ce749
--- /dev/null
+++ b/debian/boca-web.postinst
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+chown -R www-data.www-data /var/www/boca
+chmod -R go-rwx /var/www/boca/src/private
+chmod 4555 /usr/bin/safeexec
+
+a2ensite default-ssl
+a2enmod ssl
+a2enmod socache_shmcb
+
+service apache2 restart || true